#{extends 'borderNG.html' /}

<div class="content">
    <ol class="breadcrumb" style="background-color: #d9534f !important;">
        <li><a href="@{AuditorCtr.editSkNonLelang(id)}">&{'skauditor.editnontender'}</a></li>
        <li class="active">&{'skauditor.pilih'}</li>
    </ol>
    #{alert /}
        <table class="table table-sm" id="tblAuditor">
            <thead>
            <tr>
                <th class="text-center"><input name="chkAuditorAll" type="checkbox" class="checkall"/></th>
                <th>&{'skauditor.nama'}</th>
                <th>&{'skauditor.nip'}</th>
                <th>&{'skauditor.userid'}</th>

            </tr>
            </thead>
            <tbody>
            </tbody>
        </table>
    #{form @AuditorCtr.simpanPilihAuditorNonLelang(id), method:'POST'}
        #{saveButton title:'Pilih Auditor' /}
        #{backButton action:@AuditorCtr.editSkNonLelang(id) /}
    #{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<link href="https://cdn.datatables.net/select/1.3.1/css/select.dataTables.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/select/1.3.1/js/dataTables.select.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/dataTables.checkboxes.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var auditorView = #{jsRoute @AuditorCtr.edit(':id') /};
    var table = $("#tblAuditor").DataTable({
         columnDefs: [{
                targets: 0, searchable : false,
                render: function(data, type, row, meta){
                    if(type === 'display'){
                        data = '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>';
                    }
                    var id = row[0];
                    var nama = row[1];
                    row[1] = "<a href='"+auditorView.url({id:id})+"'>"+nama+"</a>";
                    return data;
                },
                checkboxes: { selectRow: true,  selectAllRender: '<div class="checkbox"><input type="checkbox" class="dt-checkboxes"><label></label></div>'}
            }] ,
        select: 'multi',
        order: [[ 1, "desc"]],
        ajax: "@{DataTableCtr.auditor()}"
    });
    $('#tblAuditor_filter input').unbind();
    $('#tblAuditor_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
    $('form').on('submit', function(e){
         var $form = $(this);
         var selected = table.rows( { selected: true } ).data();
         selected.each(function(res){
             if(!(res[0] === null || res[0] === '')) {
                 $form.append($('<input>').attr('type', 'hidden').attr('name', 'chkAuditor').val(res[0]));
             }
         });
     });
</script>
#{/set}
